Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support autoresponder

POST/workspaces/{organizationId}/support/autoresponders
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
enabledboolean
triggerstringrequired
Allowed:ticket_createdcustomer_repliedout_of_hours
orderintegerrequired
snippetIdstring
conditionsobject
Responses
201

Autoresponder created

autoresponderobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
namestringrequired
enabledbooleanrequired
triggerstringrequired
Allowed:ticket_createdcustomer_repliedout_of_hours
orderintegerrequired
snippetIdstring | nullrequired
conditionsobjectrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/autoresponders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "enabled": true,
  "trigger": "ticket_created",
  "order": 0,
  "snippetId": "string",
  "conditions": {
    "property1": "string",
    "property2": "string"
  }
}'
Response
{
  "autoresponder": {
    "id": "string",
    "organizationId": "string",
    "name": "string",
    "enabled": true,
    "trigger": "ticket_created",
    "order": 0,
    "snippetId": "string",
    "conditions": {
      "property1": "string",
      "property2": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}

Was this page helpful?